package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
@Table(name = "ParameterCheckSanitasiDetail_M")
public class ParameterCheckSanitasiDetail extends BaseMaster {

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectParameterCheckSanitasiFk")
	private ParameterCheckSanitasi parameterCheckSanitasi;

	@Column(name = "ObjectParameterCheckSanitasiFk", nullable = false, insertable = false, updatable = false)
	private Integer parameterCheckSanitasiId;

	@Caption(value = "Name")
	@Column(name = "Name", nullable = false, length = 100)
	private String name;

	public ParameterCheckSanitasi getParameterCheckSanitasi() {
		return parameterCheckSanitasi;
	}

	public void setParameterCheckSanitasi(ParameterCheckSanitasi parameterCheckSanitasi) {
		this.parameterCheckSanitasi = parameterCheckSanitasi;
	}

	public Integer getParameterCheckSanitasiId() {
		return parameterCheckSanitasiId;
	}

	public void setParameterCheckSanitasiId(Integer parameterCheckSanitasiId) {
		this.parameterCheckSanitasiId = parameterCheckSanitasiId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.parameterchecksanitasidetail_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.parameterchecksanitasidetail_m_id_seq", sequenceName = "public.parameterchecksanitasidetail_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}